Loading...
Searching...
No Matches
openshot::AudioDeviceInfo Struct Reference

This struct hold information about Audio Devices. More...

`#include <AudioDevices.h>`

## Public Member Functions

std::string | get_name ()
std::string | get_type ()

## Public Attributes

juce::String | name
juce::String | type

## Detailed Description

This struct hold information about Audio Devices.

The type and name of the audio device.

Definition at line 26 of file AudioDevices.h.

## Member Function Documentation

## get_name()

std::string openshot::AudioDeviceInfo::get_name | ( |  | ) |

inline

Definition at line 37 of file AudioDevices.h.

## get_type()

std::string openshot::AudioDeviceInfo::get_type | ( |  | ) |

inline

Definition at line 32 of file AudioDevices.h.

## Member Data Documentation

## name

juce::String openshot::AudioDeviceInfo::name

Definition at line 29 of file AudioDevices.h.

Referenced by openshot::AudioDeviceManagerSingleton::Instance().

## type

juce::String openshot::AudioDeviceInfo::type

Definition at line 28 of file AudioDevices.h.

Referenced by openshot::AudioDeviceManagerSingleton::Instance().

The documentation for this struct was generated from the following file:

- AudioDevices.h